org.modeshape.jcr

## Class JcrMixLexicon

- java.lang.Object
- - org.modeshape.jcr.JcrMixLexicon

-     @Immutable
      public class JcrMixLexicon
      extends Object

  Lexicon of names from the standard JCR "`http://www.jcp.org/jcr/mix/1.0`" namespace.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JcrMixLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Name` | `CREATED`
    `static Name` | `ETAG` The name for the "mix:etag" mixin.
    `static Name` | `LAST_MODIFIED`
    `static Name` | `LIFECYCLE` The name for the "mix:lifecycle" mixin.
    `static Name` | `LOCKABLE`
    `static Name` | `MANAGED_RETENTION` The name for the "mix:managedRetention" mixin.
    `static Name` | `REFERENCEABLE`
    `static Name` | `SHAREABLE` The name for the "mix:shareable" mixin.
    `static Name` | `VERSIONABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JcrMixLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REFERENCEABLE

          public static final Name REFERENCEABLE

    - #### VERSIONABLE

          public static final Name VERSIONABLE

    - #### LOCKABLE

          public static final Name LOCKABLE

    - #### CREATED

          public static final Name CREATED

    - #### LAST_MODIFIED

          public static final Name LAST_MODIFIED

    - #### ETAG

          public static final Name ETAG

      The name for the "mix:etag" mixin.

    - #### SHAREABLE

          public static final Name SHAREABLE

      The name for the "mix:shareable" mixin.

    - #### LIFECYCLE

          public static final Name LIFECYCLE

      The name for the "mix:lifecycle" mixin.

    - #### MANAGED_RETENTION

          public static final Name MANAGED_RETENTION

      The name for the "mix:managedRetention" mixin.

  - ### Constructor Detail

    - #### JcrMixLexicon

          public JcrMixLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.